Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1796268

Summary: Review Request: nodejs-p-try - Starts a promise chain
Product: [Fedora] Fedora Reporter: Sergio Basto <sergio>
Component: Package ReviewAssignee: Ankur Sinha (FranciscoD) <sanjay.ankur>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: decathorpe, package-review, sanjay.ankur
Target Milestone: ---Flags: sanjay.ankur: fedora-review+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-02-21 00:49:30 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1531018, 1799753    

Description Sergio Basto 2020-01-30 03:17:02 UTC
Spec URL: https://sergiomb.fedorapeople.org/nodejs-p-try/nodejs-p-try.spec
SRPM URL: https://sergiomb.fedorapeople.org/nodejs-p-try/nodejs-p-try-2.0.0-1.fc31.src.rpm


Package name: nodejs-p-try
Summary: Starts a promise chain


we need this package to build new nodejs-p-limit-2.2.2

Comment 1 Ankur Sinha (FranciscoD) 2020-02-10 23:02:07 UTC
I'll review this one.

Comment 2 Ankur Sinha (FranciscoD) 2020-02-12 19:31:15 UTC
Looks good. One or two nitpicks, like the Changelog. Once these are fixed, this
can be approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


==== Issues =====

- Please correct the changelog.

- the guidelines say that the npm archives should be preferred to using
  checkouts from git etc: https://docs.fedoraproject.org/en-US/packaging-guidelines/Node.js/#_using_tarballs_from_the_npm_registry

- I don't think both BuildArch and ExclusiveArch are necessary. Please remove
  BuildArch?

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package contains no bundled libraries without FPC exception.
[!]: Changelog in prescribed format.
^
Please correct the changelog, it has "mga" suffixes and so on. Please also
update it to include your information etc.

[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
^
Not checked, please do verify.

[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-p-try-2.0.0-1.fc32.noarch.rpm
          nodejs-p-try-2.0.0-1.fc32.src.rpm
nodejs-p-try.noarch: W: incoherent-version-in-changelog 2.0.0-1.mga7 ['2.0.0-1.fc32', '2.0.0-1']
nodejs-p-try.noarch: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
^

Changelog needs correcting.



Rpmlint (installed packages)
----------------------------
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_GB.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_GB.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
nodejs-p-try.noarch: W: incoherent-version-in-changelog 2.0.0-1.mga7 ['2.0.0-1.fc32', '2.0.0-1']
nodejs-p-try.noarch: W: invalid-url URL: https://github.com/sindresorhus/p-try <urlopen error [Errno -2] Name or service not known>
nodejs-p-try.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 3 warnings.



Source checksums
----------------
https://github.com/sindresorhus/p-try/archive/v2.0.0/p-try-2.0.0.tar.gz :
  CHECKSUM(SHA256) this package     : 9c086aedcb4ee45d21674bec778590e1cda26477163ec72e1b0082e035c22e71
  CHECKSUM(SHA256) upstream package : 9c086aedcb4ee45d21674bec778590e1cda26477163ec72e1b0082e035c22e71


Requires
--------
nodejs-p-try (rpmlib, GLIBC filtered):
    nodejs(engine)



Provides
--------
nodejs-p-try:
    nodejs-p-try
    npm(p-try)



Generated by fedora-review 0.7.4 (54fa030) last change: 2019-12-07
Command line :/usr/bin/fedora-review -b 1796268
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Generic
Disabled plugins: R, Perl, Java, C/C++, SugarActivity, Python, fonts, PHP, Haskell, Ocaml
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 3 Sergio Basto 2020-02-15 03:57:07 UTC
Hi, soory for the delay 

Thank you I fixed the changelog , the links are the same .

Comment 4 Sergio Basto 2020-02-17 12:49:52 UTC
-  I don't think both BuildArch and ExclusiveArch are necessary. Please remove
  BuildArch?

Buildarch is noarch is correct , and we don't wnat try to build where nodejs doesn't exist 
all other packages have the same [1] 

- using_tarballs_from_the_npm_registry don't have test.js source , the rest of hte source is the same , I think the rue is obsolete . 


[1] 
https://src.fedoraproject.org/rpms/nodejs-p-locate/blob/master/f/nodejs-p-locate.spec#_19

Comment 5 Sergio Basto 2020-02-20 05:18:51 UTC
Fixing typos, the package isn't aproved yet 

- Buildarch is noarch is correct ,  we don't want try to build where nodejs doesn't exist, all other packages have the same [1] 

- using_tarballs_from_the_npm_registry don't have test.js source, the rest of the source is the same , I think the rule is obsolete , download from npm and test.js from github is an optional that cause some mistakes because test.js file have to be download from github and upload to fedora in every update ... 

[1] 
https://src.fedoraproject.org/rpms/nodejs-p-locate/blob/master/f/nodejs-p-locate.spec#_19

Comment 6 Ankur Sinha (FranciscoD) 2020-02-20 12:13:11 UTC
OK, looks good now. Issues have been fixed.

XXX APPROVED XXX

Comment 7 Fabio Valentini 2020-02-20 12:25:04 UTC
You might want to fix the bug title to confirm to the expected template before requesting the repo.

Comment 8 Sergio Basto 2020-02-20 16:52:54 UTC
(In reply to Fabio Valentini from comment #7)
> You might want to fix the bug title to confirm to the expected template
> before requesting the repo.

what do you mean ?

Comment 9 Ankur Sinha (FranciscoD) 2020-02-20 17:03:21 UTC
(In reply to Sergio Monteiro Basto from comment #8)
> (In reply to Fabio Valentini from comment #7)
> > You might want to fix the bug title to confirm to the expected template
> > before requesting the repo.
> 
> what do you mean ?

The summary of the bug needs to be of the form: Review Request: <package name> - <summary>

https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora&format=fedora-review

Comment 10 Sergio Basto 2020-02-20 20:26:04 UTC
TIL , Thank you 

Spec URL: https://sergiomb.fedorapeople.org/nodejs-p-try/nodejs-p-try.spec
SRPM URL: https://sergiomb.fedorapeople.org/nodejs-p-try/nodejs-p-try-2.0.0-1.fc31.src.rpm
Description: Starts a promise chain
Fedora Account System Username: sergiomb

Comment 11 Gwyn Ciesla 2020-02-20 20:51:52 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/nodejs-p-try

Comment 12 Sergio Basto 2020-02-21 00:49:30 UTC
Package built in rawhide F32 and F31 .

Thanks.